mysql charm - ImportError: No module named six

Bug #1398023 reported by Ryan Beisner on 2014-12-01
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Charm Helpers
Undecided
Unassigned
mysql (Juju Charms Collection)
Medium
Liam Young

Bug Description

When using this charm to deploy OpenStack (precise-icehouse, in conjunction with stable or next openstack charm sets):

# from mysql unit log:
2014-11-30 02:46:32 INFO juju.worker.uniter uniter.go:307 charm "local:precise/mysql-326" is deployed
2014-11-30 02:46:32 DEBUG juju.worker.uniter modes.go:398 ModeInstalling local:precise/mysql-326 exiting
2014-11-30 02:46:32 INFO juju.worker.uniter modes.go:396 ModeContinue starting
2014-11-30 02:46:32 INFO juju.worker.uniter modes.go:65 found queued "install" hook
2014-11-30 02:46:32 INFO juju.worker.uniter uniter.go:480 running "install" hook
2014-11-30 02:46:32 INFO install Traceback (most recent call last):
2014-11-30 02:46:32 INFO install File "/var/lib/juju/agents/unit-mysql-0/charm/hooks/install", line 6, in <module>
2014-11-30 02:46:32 INFO install import lib.utils as utils
2014-11-30 02:46:32 INFO install File "/var/lib/juju/agents/unit-mysql-0/charm/hooks/lib/utils.py", line 17, in <module>
2014-11-30 02:46:32 INFO install from charmhelpers.core.host import (
2014-11-30 02:46:32 INFO install File "/var/lib/juju/agents/unit-mysql-0/charm/hooks/charmhelpers/core/host.py", line 19, in <module>
2014-11-30 02:46:32 INFO install import six
2014-11-30 02:46:32 INFO install ImportError: No module named six
2014-11-30 02:46:32 ERROR juju.worker.uniter uniter.go:486 hook failed: exit status 1

...

# from deployer output:
2014-12-01 08:55:37 [DEBUG] deployer.import: Waiting for units before adding relations
2014-12-01 08:55:37 [ERROR] deployer.env: The following units had errors:
   unit: mysql/0: machine: 10 agent-state: error details: hook failed: "install"
2014-12-01 08:55:37 [INFO] deployer.cli: Deployment stopped. run time: 342.88

Related branches

Ryan Beisner (1chb1n) on 2014-12-01
summary: - ImportError: No module named six
+ mysql charm - ImportError: No module named six
Ryan Beisner (1chb1n) wrote :

Also FYI, deployments with this charm succeed with trusty-icehouse, trusty-juno, utopic-juno. It appears to be limited to precise-icehouse deploys.

Edward Hope-Morley (hopem) wrote :

Ryan, I just tried a precise-icehouse deployment with the latest lp:charms/precise/<name>/trunk and am not seeing any errors. Could you please confirm that you are definitely using the precise trunk charms? Also, would you be able to try a deploy with the very latest revisions i.e. for mysql on lp:charms/precise/mysql/trunk i have "revno: 128". You *may* have somehow gotten caught up in the python-six breaks that occured last week (https://bugs.launchpad.net/charm-helpers/+bug/1395378) and required some resyncing of charmhelpers into some charms. This should have been fixed now though.

Changed in mysql (Juju Charms Collection):
status: New → Incomplete
Changed in charm-helpers:
status: New → Incomplete
Liam Young (gnuoy) wrote :

The trusty version on precise breaks due to python-six not being installed. I think this is a common enough scenario for it to be worth fixing the charm

Changed in mysql (Juju Charms Collection):
status: Incomplete → In Progress
importance: Undecided → Medium
assignee: nobody → Liam Young (gnuoy)
Ryan Beisner (1chb1n) wrote :

Deploy tests succeed for precise-icehouse with the stable ('default') and development ('next') charm sets, when substituting both of these MPs:
      branch: lp:~gnuoy/charms/trusty/mysql/fix-six-bug
      branch: lp:~gnuoy/charms/trusty/ceph/fix-six-bug

Larry Michel (lmic) on 2014-12-01
tags: added: oil
Stuart Bishop (stub) wrote :

I think charm-helpers-sync should implicitly include charmhelpers/__init__.py, which would make this fix unnecessary once that happens, per Bug #1397134.

Changed in mysql (Juju Charms Collection):
status: In Progress → Fix Released
Stuart Bishop (stub) on 2014-12-12
Changed in charm-helpers:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers